cask '1password' do
  if MacOS.release <= :lion
    version '3.8.22'
    sha256 '3afd75f1bddf791dc7dbc9a7d92ab6eb91ee891407d750cedb7b5aff5fe8bf17'

    # cloudfront.net is the official download host per the vendor homepage
    url "https://d13itkw33a7sus.cloudfront.net/dist/1P/mac/1Password-#{version}.zip"

    app '1Password.app'
  elsif MacOS.release <= :mavericks
    version '4.4.3'
    sha256 '6657fc9192b67dde63fa9f67b344dc3bc6b7ff3e501d3dbe0f5712a41d8ee428'

    # cloudfront.net is the official download host per the vendor homepage
    url "https://d13itkw33a7sus.cloudfront.net/dist/1P/mac4/1Password-#{version}.zip"

    app "1Password #{version.to_i}.app"
  else
    version '5.4.2'
    sha256 'e4c447629419d7df4d7ad0e02e794647e61be04c87f3f6a86a0ee12598a82453'

    # cloudfront.net is the official download host per the vendor homepage
    url "https://d13itkw33a7sus.cloudfront.net/dist/1P/mac4/1Password-#{version}.zip"

    app "1Password #{version.to_i}.app"
  end

  name '1Password'
  homepage 'https://agilebits.com/onepassword'
  license :commercial

  zap :delete => [
                   '~/Library/Application Scripts/2BUA8C4S2C.com.agilebits.onepassword-osx-helper',
                   '~/Library/Containers/2BUA8C4S2C.com.agilebits.onepassword-osx-helper',
                   '~/Library/Containers/com.agilebits.onepassword-osx',
                   '~/Library/Group Containers/2BUA8C4S2C.com.agilebits',
                 ]
end
